// --- [ spi_13bit.h ] --------------------------------------------------------

#define SPI_PORT  PORTC
#define SPI_PIN	PINC
#define SPI_DDR	DDRC
#define RST_PORT	PORTD
#define RST_DDR	DDRD

#define SPI_CS		PC0
#define SPI_SDO	PC1
#define SPI_SDI	PC2
#define SPI_SCLK	PC3
#define SPI_RST	PD5

//#define WAIT		asm volatile("nop");asm volatile("nop");asm volatile("nop")
//#define WAIT		asm volatile("nop");asm volatile("nop")
//#define WAIT		asm volatile("nop")
#define WAIT

#define R_CS_VNC  SPI_PORT &= ~(1<<SPI_CS); WAIT
#define S_CS_VNC  SPI_PORT |=  (1<<SPI_CS); WAIT

#define SDO_VNC   (SPI_PIN & (1<<SPI_SDO))

#define R_SDI     SPI_PORT &= ~(1<<SPI_SDI); WAIT
#define S_SDI     SPI_PORT |=  (1<<SPI_SDI); WAIT

#define R_SCLK    SPI_PORT &= ~(1<<SPI_SCLK); WAIT // geht schneller als nachfolgende Variante
#define S_SCLK    SPI_PORT |=  (1<<SPI_SCLK); WAIT

//#define R_SCLK		(SPI_PIN = 1<<SPI_SCLK) // H/L Flanke dauert nur 1 Takt
//#define S_SCLK		(SPI_PIN = 1<<SPI_SCLK) //

#define R_RE_VNC 	RST_PORT &= ~(1<<SPI_RST); WAIT
#define S_RE_VNC 	RST_PORT |=  (1<<SPI_RST); WAIT

void    VNC_spi_init(void);
uint8_t VNC_spi_read(void);
uint8_t VNC_spi_write(uint8_t);

// --- [ eof ] ----------------------------------------------------------------

